package com.zsc.edu.gateway.modules.system.dto;

import com.zsc.edu.gateway.modules.system.entity.Menu;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zhuang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MenuDto {
    /**
     * 子部门ID
     */
    private Long pid;
    /**
     * 菜单类型
     */
    private Menu.Type type;
    /**
     * 名称
     */
    private String name;
    /**
     * 路径
     */
    private String path;
    /**
     * 应用区域
     */
    private String locale;
    /**
     * 标注
     */
    private String icon;
    /**
     * 是否需要认证
     */
    private Boolean requiresAuth;
    /**
     * 是否隐藏
     */
    private Boolean hideInMenu;
    /**
     * 菜单排序
     */
    private Integer menuOrder;
    /**
     * 权限
     */
    private String permissions;
    /**
     * 权限标识
     */
    private String authority = "";
}
